import React, { ReactElement } from "react";
import { Drawer } from "./Drawer";
import { Title } from "./Title";

type Props = {
  title: string,
  [children:string]: any
};

export const Page = (props: Props) => {
  return (
    <>
      <div id="sidebar" className="w-64 left-0 top-0 h-screen fixed z-1 overflow-auto">
        <Drawer />
      </div>
      <div className="ml-64 p-8">
        <Title>{props.title}</Title>
        {props.children}
      </div>
    </>
  );
}